Errno (Hadoop 0.20.2+737 API)
Date: 2010-10-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.hadoop.io.nativeio
Enum Errno

    java.lang.Object
      java.lang.Enum<Errno>
          org.apache.hadoop.io.nativeio.Errno

All Implemented Interfaces:
  Serializable, Comparable<Errno>

    public enum Errno

extends Enum<Errno>

Enum representing POSIX errno values.

Enum Constant Summary
`E2BIG`
`EACCES`
`EAGAIN`
`EBADF`
`EBUSY`
`ECHILD`
`EDOM`
`EEXIST`
`EFAULT`
`EFBIG`
`EINTR`
`EINVAL`
`EIO`
`EISDIR`
`EMFILE`
`EMLINK`
`ENFILE`
`ENODEV`
`ENOENT`
`ENOEXEC`
`ENOMEM`
`ENOSPC`
`ENOTBLK`
`ENOTDIR`
`ENOTTY`
`ENXIO`
`EPERM`
`EPIPE`
`ERANGE`
`EROFS`
`ESPIPE`
`ESRCH`
`ETXTBSY`
`EXDEV`
`UNKNOWN`

Method Summary
`static Errno` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Errno[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EPERM

    public static final Errno EPERM

### ENOENT

    public static final Errno ENOENT

### ESRCH

    public static final Errno ESRCH

### EINTR

    public static final Errno EINTR

### EIO

    public static final Errno EIO

### ENXIO

    public static final Errno ENXIO

### E2BIG

    public static final Errno E2BIG

### ENOEXEC

    public static final Errno ENOEXEC

### EBADF

    public static final Errno EBADF

### ECHILD

    public static final Errno ECHILD

### EAGAIN

    public static final Errno EAGAIN

### ENOMEM

    public static final Errno ENOMEM

### EACCES

    public static final Errno EACCES

### EFAULT

    public static final Errno EFAULT

### ENOTBLK

    public static final Errno ENOTBLK

### EBUSY

    public static final Errno EBUSY

### EEXIST

    public static final Errno EEXIST

### EXDEV

    public static final Errno EXDEV

### ENODEV

    public static final Errno ENODEV

### ENOTDIR

    public static final Errno ENOTDIR

### EISDIR

    public static final Errno EISDIR

### EINVAL

    public static final Errno EINVAL

### ENFILE

    public static final Errno ENFILE

### EMFILE

    public static final Errno EMFILE

### ENOTTY

    public static final Errno ENOTTY

### ETXTBSY

    public static final Errno ETXTBSY

### EFBIG

    public static final Errno EFBIG

### ENOSPC

    public static final Errno ENOSPC

### ESPIPE

    public static final Errno ESPIPE

### EROFS

    public static final Errno EROFS

### EMLINK

    public static final Errno EMLINK

### EPIPE

    public static final Errno EPIPE

### EDOM

    public static final Errno EDOM

### ERANGE

    public static final Errno ERANGE

### UNKNOWN

    public static final Errno UNKNOWN

Method Detail

### values

    public static Errno[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Errno c : Errno.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Errno valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 The Apache Software Foundation